For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get NFT by Serial Number

Get NFT information.

This method will use 20 Compute Units.


Get nft info

get

Returns information for a non-fungible token

Path parameters
tokenIdstring · nullableRequired

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
serialNumberinteger · int64 · min: 1 · max: 9223372036854776000Required

The nft serial number

Default: 1Example: 1
Responses
200

OK

application/json
account_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
created_timestampstring · nullableOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
delegating_spenderstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
deletedbooleanOptional

whether the nft or the token it belongs to has been deleted

metadatastring · byteOptional

base64 encoded binary data

modified_timestampstring · nullableOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
serial_numberinteger · int64OptionalExample: 1
spenderstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
token_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
get/api/v1/tokens/{tokenId}/nfts/{serialNumber}
GET /v1/YOUR_API_KEY/api/v1/tokens/{tokenId}/nfts/{serialNumber} HTTP/1.1
Host: mainnet.hedera.validationcloud.io
Accept: */*
{
  "account_id": "0.1.2",
  "created_timestamp": "1234567890.000000001",
  "delegating_spender": "0.0.400",
  "deleted": false,
  "metadata": "VGhpcyBpcyBhIHRlc3QgTkZU",
  "modified_timestamp": "1610682445.003266001",
  "serial_number": 124,
  "spender_id": "0.0.500",
  "token_id": "0.0.222"
}

Last updated

Was this helpful?